POST Agents/NumberAllocation/GetRefCountEntity
Some tooltip text!
• 3 minutes to read
• 3 minutes to read
POST /api/v1/Agents/NumberAllocation/GetRefCountEntity
Gets a RefCountEntity object.
NsApiSlow threshold: 1000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| refCountEntityId | int32 | Required The identifier of the RefCountEntity object |
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/NumberAllocation/GetRefCountEntity?refCountEntityId=781
POST /api/v1/Agents/NumberAllocation/GetRefCountEntity?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: RefCountEntity
| Property Name | Type | Description |
|---|---|---|
| RefCountsId | int32 | Primary key |
| Field | string | Field identifier in string format table.field |
| RecordId | int32 | Record id in target table, used when there are separate counters for each target record |
| SuggestedRecords | array | List of valid entities, the associated record is selected in the list, used records are filtered out |
| CurrentValue | int32 | Current value of counter |
| TravelPrefix | int32 | size of prefix for Travel use of ths counter |
| SatPrefix | int32 | size of prefix for Satellite use of this counter |
| Allocate | bool | Allocate numbers automatically |
| Unique | bool | Check that entered value is unique |
| ReadOnly | bool | Target field is read only in GUI |
| AllowBlank | bool | Allow blank as a valid value |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/NumberAllocation/GetRefCountEntity
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"RefCountsId": 260,
"Field": "contact_number",
"RecordId": 56,
"SuggestedRecords": [
{
"Id": 512,
"Name": "10001",
"ToolTip": "Next available contact number",
"Deleted": false,
"Rank": 1,
"Type": "ContactNumber",
"ChildItems": [
{},
{}
],
"IconHint": "number",
"ColorBlock": 48,
"ExtraInfo": "auto_increment",
"StyleHint": "default",
"FullName": "Contact Number: 10001",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 148
}
}
}
],
"CurrentValue": 10000,
"TravelPrefix": 0,
"SatPrefix": 0,
"Allocate": true,
"Unique": true,
"ReadOnly": false,
"AllowBlank": false,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 206
}
}
}